#
# spec file for package gentoo
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gentoo
Version:        0.20.4
Release:        lp150.1.11
Summary:        A light-weight, two-window file manager based on GTK+
License:        GPL-2.0
Group:          Productivity/File utilities
Url:            http://www.obsession.se/gentoo
#		ftp://ftp.obsession.se/gentoo/
Source:         %{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.png
Source100:      %{name}.changes
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.2.0
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(pango)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gentoo is a modern, powerful, flexible, and utterly configurable
file manager for UNIX systems, written using the GTK+ toolkit.
It aims to be 100% graphically configurable; there's no need to
edit config files by hand and then restart the application.
gentoo is somewhat inspired in its look & feel by the classic
Amiga program DirectoryOpus.

Features:

Some of gentoo's main features include:
- Reasonably small and fast (written in C).
- Direct graphical configuration of most main features.
- A powerful file recognition system that allows you to configure how files of different
  types are listed (what colors and icons), and what happens when you doubleclick them
  (start image viewers, music players, etc).
- Includes more than 120 original pixmap icons.
- Native support for most file operations (copy, move, rename, makedir etc).
- Free Software, licensed under the GNU General Public License.

Author:

-----------------

		Emil Brink <emil@obsession.se>

%prep
%setup -q

sed -i '/GTK_DISABLE_DEPRECATED/d' configure.ac

#Fix installs translations in the basic directory structure
pushd po
mv ja{_JP.UTF-8,}.po
mv ja{_JP.UTF-8,}.gmo
mv ru{_RU.UTF-8,}.po
mv ru{_RU.UTF-8,}.gmo
rm -f ru_RU.*.{po,gmo}
sed -i 's/ru_RU.*/ru/g;s/_JP.UTF-8//' LINGUAS
popd

%build
autoreconf -fiv
%configure

export AM_CFLAGS="%{optflags} $AM_CFLAGS"

make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
install -D -m 0644 docs/gentoo.1x %{buildroot}%{_mandir}/man1/gentoo.1
install -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png

%suse_update_desktop_file %{name}

%find_lang %{name}

%fdupes %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc docs/* BUGS CONFIG-CHANGES CREDITS README* AUTHORS ChangeLog ABOUT* NEWS TODO COPYING
%config(noreplace) %{_sysconfdir}/gentoogtkrc
%config(noreplace) %{_sysconfdir}/gentoorc
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/icons
%{_datadir}/%{name}/icons/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/gentoo.1*

%changelog
* Fri Oct 24 2014 avvissu@yandex.ru
- Update to 0.20.4:
  * support gtk3
- Fix build errors:
  * remove GTK_DISABLE_DEPRECATED
- Fix installation of the translations (Japanese, Russian)
- Add man pages
- Spec file cleanup
* Sat Mar 12 2011 detlef@links2linux.de - 0.19.9
- updated to 0.19.9
* Wed Jul 21 2010 packman@links2linux.de - 0.15.6
- fixed build for openSUSE 11.3
  patch adapted from debian sid upstream
* Thu Jul 16 2009 AxelKoellhofer@web.de
- updated to 0.15.6
- fixed including of RPM_OPT_FLGAS
* Thu Jun  4 2009 AxelKoellhofer@web.de
- updated to 0.15.5
* Wed Feb 25 2009 AxelKoellhofer@web.de
- initial package, version 0.15.4
